Page MenuHomePhabricator

Action 'csrf' is not allowed for user Pywikibot-test on wikisource:zh and en:wiki
Closed, ResolvedPublic

Description

======================================================================
ERROR: test_login_logout (tests.site_tests.TestLoginLogout)
Validate login and logout methods by toggling the state.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/wikimedia/pywikibot/tests/site_tests.py", line 3690, in test_login_logout
    site.logout()
  File "/home/travis/build/wikimedia/pywikibot/pywikibot/site.py", line 2124, in logout
    token=self.tokens['csrf'])
  File "/home/travis/build/wikimedia/pywikibot/pywikibot/site.py", line 1806, in __getitem__
    .format(key, self.site.user(), self.site))
pywikibot.exceptions.Error: Action 'csrf' is not allowed for user Pywikibot-test on wikisource:zh wiki.
----------------------------------------------------------------------

https://travis-ci.org/wikimedia/pywikibot/jobs/552475607#L4635

Event Timeline

Xqt created this task.Jun 30 2019, 7:35 PM
Restricted Application added a project: Pywikibot. · View Herald TranscriptJun 30 2019, 7:35 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript
Xqt triaged this task as High priority.Jun 30 2019, 7:35 PM
Xqt renamed this task from Action 'csrf' is not allowed for user Pywikibot-test on wikisource:zh to Action 'csrf' is not allowed for user Pywikibot-test on wikisource:zh and en:wiki.Jan 11 2020, 12:32 PM
Xqt added a subscriber: Huji.Jan 11 2020, 12:36 PM
Dvorapa added a subscriber: Dvorapa.EditedFeb 12 2020, 10:50 AM

Currently only on enwiki with Python 2.7

Currently fails on uk:wowwiki

Dvorapa lowered the priority of this task from High to Medium.Mar 20 2020, 4:50 PM
Dvorapa moved this task from Backlog to Test failures on the Pywikibot-tests board.Apr 3 2020, 4:03 PM
Xqt closed this task as Resolved.Jun 30 2020, 5:03 PM
Xqt claimed this task.

Haven't seen it anymore neither at enwiki/zhwiki not at wowwiki.